# TODO: finish, test
#
# Conditional build:
%bcond_with	doc		# build doc
%bcond_with	tests		# do perform tests (pulls extra dependencies from network)
%bcond_without	python3 	# build CPython 3.x ACME module

Summary:	Certbot -  EFF's tool to obtain certs from Let's Encrypt
Name:		certbot
Version:	0.11.1
Release:	1
License:	Apache v2.0
Group:		Applications/Networking
Source0:	https://github.com/certbot/certbot/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	fcc550a95ff121cecaa315266d2bd754
URL:		https://certbot.eff.org/
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.713
%if %{with doc}
BuildRequires:	python-repoze.sphinx.autointerface
BuildRequires:	sphinx-pdg
%endif
%if %{with tests}
BuildRequires:	Zope-Interface
BuildRequires:	python-mock
BuildRequires:	python-six
%endif
%if %{with python3}
BuildRequires:	python3-setuptools
%endif
Obsoletes:	letsencrypt
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Certbot is part of EFF's effort to encrypt the entire Internet. Secure
communication over the Web relies on HTTPS, which requires the use of
a digital certificate that lets browsers verify the identify of web
servers (e.g., is that really google.com?). Web servers obtain their
certificates from trusted third parties called certificate authorities
(CAs). Certbot is an easy-to-use client that fetches a certificate
from Let's Encrypt - an open certificate authority launched by the
EFF, Mozilla, and others - and deploys it to a web server.

%package -n python-acme
Summary:	Python library for the ACME protocol
Group:		Libraries/Python
Obsoletes:	python-acme-doc < 0.9.3

%description -n python-acme
Python 2 library for use of the Automatic Certificate Management
Environment protocol as defined by the IETF. It's used by the Let's
Encrypt project.

%package -n python3-acme
Summary:	Python library for the ACME protocol
Group:		Libraries/Python

%description -n python3-acme
Python 3 library for use of the Automatic Certificate Management
Environment protocol as defined by the IETF. It's used by the Let's
Encrypt project.

%prep
%setup -q

%build
%py_build %{?with_tests:test}

%if %{with doc}
cd docs
%{__make} -j1 html
rm -r _build/html/_sources
%endif

cd acme
%py_build %{?with_tests:test}

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/var/log,/var/lib}/letsencrypt

%py_install

cd acme

# python3 first, to have Python 2 /usr/bin/jws
%if %{with python3}
%py3_install
%endif

%py_install

cd ..

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {CHANGES,README}.rst CONTRIBUTING.md docs/*.txt
%if %{with doc}
%doc docs/_build/html/*
%else
%doc docs/*.rst docs/api docs/man
%endif
%dir %{_sysconfdir}/letsencrypt
%dir /var/log/letsencrypt
%dir /var/lib/letsencrypt
%attr(755,root,root) %{_bindir}/certbot
%{py_sitescriptdir}/certbot
%{py_sitescriptdir}/certbot-%{version}*-py*.egg-info

%files -n python-acme
%defattr(644,root,root,755)
%doc acme/README.rst
%if %{with doc}
%doc acme/docs/_build/html/*
%else
%doc acme/docs/*.rst acme/docs/api acme/docs/man
%endif
%attr(755,root,root) %{_bindir}/jws
%{py_sitescriptdir}/acme
%{py_sitescriptdir}/acme-%{version}*-py*.egg-info

%files -n python3-acme
%defattr(644,root,root,755)
%doc acme/README.rst
%if %{with doc}
%doc acme/docs/_build/html/*
%else
%doc acme/docs/*.rst acme/docs/api acme/docs/man
%endif
%{py3_sitescriptdir}/acme
%{py3_sitescriptdir}/acme-%{version}*-py*.egg-info
%changelog
* Tue Feb 14 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/certbot.git;a=log;h=master

* Mon Feb 13 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 1c4da4f
- Version: 0.11.1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> aa8fddc
- python 3.6
- release 2 (by relup.sh)

* Wed Dec 28 2016 Elan Ruusamäe <glen@delfi.ee> 8db87f5
- cleanup license (subpackages inherit unless overrriddden)

* Wed Dec 28 2016 Elan Ruusamäe <glen@delfi.ee> d82cbdd
- use ASCII in C description

* Wed Dec 28 2016 Elan Ruusamäe <glen@delfi.ee> 3f310c0
- use dir attribute to package dirs

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 0d8d21e
- Release: 1

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8a8ce78
- 'letsencrypt' renamed to 'cryptbot' and updated

* Sun Dec 06 2015 Elan Ruusamäe <glen@delfi.ee> ecfdcb0
- fix zope package names

* Fri Dec 04 2015 Elan Ruusamäe <glen@delfi.ee> ffeb482
- update to new python macros

* Fri Dec 04 2015 Elan Ruusamäe <glen@delfi.ee> 5f4fc62
- up to 0.1.0, letsencrypt entered public beta

* Tue Oct 20 2015 Elan Ruusamäe <glen@delfi.ee> 4b12379
- do not package tests

* Tue Oct 20 2015 Elan Ruusamäe <glen@delfi.ee> 0f357a7
- use subver/rel macro; cleanups

* Tue Oct 20 2015 Elan Ruusamäe <glen@delfi.ee> 392d0e7
- cleanup BR

* Tue Oct 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e10a8dd
- initial; unfinished

